import 'package:flutter/widgets.dart';
import 'package:meta/meta.dart';
import 'package:unify_api/unify.dart';

import '../bloc.dart';

@immutable
abstract class ContactsEvent {}

class ContactsCheck extends ContactsEvent {
  ContactsCheck({
    @required this.user,
    @required this.scaffold,
  });

  final ScaffoldBloc scaffold;
  final AccountInfo user;

  @override
  String toString() => 'ContactsCheck { user: ${user.displayName} }';
}

class RefreshContacts extends ContactsEvent {
  RefreshContacts({
    @required this.user,
    @required this.scaffold,
    @required this.context
  });

  final AccountInfo user;
  final ScaffoldBloc scaffold;
  final BuildContext context;

  @override
  String toString() => 'RefreshContacts { user: ${user.displayName} }';
}
