import 'package:example_db/data/services/database/database.dart';
import 'package:example_db/ui/common/index.dart';
import 'package:flip_card/flip_card.dart';
import 'package:flutter/material.dart';

class ContactDetailsScreen extends StatelessWidget {
  ContactDetailsScreen({Key key, @required contact})
      : _contact = contact,
        super(key: key);

  final Contact _contact;

  @override
  Widget build(BuildContext context) {

    return Scaffold(
      appBar: AppBar(
        title: Text('Contact Details'),
      ),
      body: Padding(
        padding: EdgeInsets.all(12),
        child: Wrap(
          spacing: 10,
          runSpacing: 15,
          runAlignment: WrapAlignment.spaceBetween,
          //crossAxisAlignment: WrapCrossAlignment.end,
          children: <Widget>[
            FlipCard(
              speed: 400,
              front: RaisedChild(
                Container(
                  height: 450,
                  child: Padding(
                    padding: EdgeInsets.all(24),
                    child: Column(
                      //mainAxisAlignment: MainAxisAlignment.start,
                      children: <Widget>[
                        Row(
                          mainAxisAlignment: MainAxisAlignment.start,
                          children: <Widget>[
                            Text('Contact Name', style: TextStyle(fontWeight: FontWeight.w700, fontSize: 24)),
                          ],
                        ),
                        ListTile(
                          leading: Icon(Icons.phone),
                          title: Text('Cell Phone'),
                          subtitle: Text('(111)-111-1111'),
                        ),
                        ListTile(
                          leading: Icon(Icons.home),
                          title: Text('Home Phone'),
                          subtitle: Text('(111)-111-1111'),
                        ),
                        ListTile(
                          leading: Icon(Icons.work),
                          title: Text('Office Phone'),
                          subtitle: Text('(111)-111-1111'),
                        ),
                        ListTile(
                          leading: Icon(Icons.email),
                          title: Text('Email Address'),
                          subtitle: Text('test@gmail.com'),
                        ),
                        ListTile(
                          leading: Icon(Icons.map),
                          title: Text('Current Address'),
                          subtitle: Text('14059 Riveredge Dr \nTampa, Fl 33637', maxLines: 2,),
                        ),
                      ],
                    ),
                  ),
                ),
              ),
              back: RaisedChild(
                Container(
                  height: 450,
                  child: Padding(
                    padding: EdgeInsets.all(24),
                    child: Column(
                      //mainAxisAlignment: MainAxisAlignment.start,
                      children: <Widget>[
                        Row(
                          mainAxisAlignment: MainAxisAlignment.start,
                          children: <Widget>[
                            Text('Edit Contact', style: TextStyle(fontWeight: FontWeight.w700, fontSize: 24)),
                          ],
                        ),
                        TextFormField(
                          decoration: InputDecoration(labelText: 'First Name'),
                          initialValue: 'Devon',
                        ),
                        TextFormField(
                          decoration: InputDecoration(labelText: 'Last Name'),
                          initialValue: 'Jerothe',
                        ),
                         TextFormField(
                          decoration: InputDecoration(labelText: 'Email'),
                          initialValue: 'DevonJerothe@gmail.com',
                        ),
                        ExpansionTile(
                          title: Text('Phone Numbers'),
                          leading: Icon(Icons.phone),
                          children: <Widget>[

                          ],
                        ),
                        ExpansionTile(
                          title: Text('Address info'),
                          leading: Icon(Icons.map),
                          children: <Widget>[

                          ],
                        )
                      ],
                    ),
                  ),
                )
              ),
            ),
            RaisedChild(
              Container(
                height: 175,
                width: 185,
              )
            ),
            RaisedChild(
              Container(
                height: 175,
                width: 185,
              )
            )
          ],
        ),
      ),
    );
    // return CustomScrollView(
    //   slivers: <Widget>[
    //     SliverAppBar(
    //       automaticallyImplyLeading: true,
    //       title: Text("Contact Details"),
    //     ),

    //   ],
    // );
  }
}
