import 'package:flutter/material.dart';
import 'package:hive/hive.dart';

import '../../../data/services/database/database.dart';
import '../cards/action_button.dart';
import '../cards/index.dart';

class CardRender extends StatelessWidget {
  const CardRender({
    Key key,
    @required this.item,
  }) : super(key: key);

  final DashboardWidget item;

  @override
  Widget build(BuildContext context) {
  String _title, _subtitle;
  IconData _iconData;
  Color _color;
  VoidCallback _onTap;
    if (item.tag == CurrentRatesCard.cardKey) {
      return ConstrainedBox(
        constraints: CurrentRatesCard.constraints,
        child: CurrentRatesCard(id: item.itemId),
      );
    }
    if (item.tag == CurrentWeatherCard.cardKey) {
      return ConstrainedBox(
        constraints: CurrentWeatherCard.constraints,
        child: CurrentWeatherCard(id: item.itemId),
      );
    }
    if (item.tag == ActionButtonCard.cardKey) {
      return ConstrainedBox(
        constraints: ActionButtonCard.constraints,
        child: ActionButtonCard(id: item.itemId),
      );
    }
    if (item.tag == DashboardAlertsCard.cardKey) {
      return DashboardAlertsCard();
    }


    return Container();
  }
}
