import 'package:example_db/data/utils/utils.dart';
import 'package:flutter/material.dart';

import 'common/favorites.dart';
import 'common/list.dart';

class LoansScreen extends StatefulWidget {
  static const String routeName = '/loans';

  @override
  _LoansScreenState createState() => _LoansScreenState();
}

class _LoansScreenState extends State<LoansScreen> {
  int _currentIndex = 0;
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: IndexedStack(
        index: _currentIndex,
        children: <Widget>[
          LoanListScreen(),
          LoanFavoritesScreen(),
        ],
      ),
      bottomNavigationBar: BottomNavigationBar(
        elevation: 0,
        type: BottomNavigationBarType.fixed,
        backgroundColor: AppColors.bottomAppBarColor(context),
        currentIndex: _currentIndex,
        onTap: (val) {
          if (mounted)
            setState(() {
              _currentIndex = val;
            });
        },
        items: [
          BottomNavigationBarItem(
            icon: Icon(Icons.folder),
            title: Text('Loans'),
          ),
          BottomNavigationBarItem(
            icon: Icon(Icons.star_border),
            title: Text('Favorites'),
          ),
        ],
      ),
    );
  }
}
