import 'package:example_db/data/services/database/database.dart';
import 'package:flutter/material.dart';
import 'package:intl/intl.dart';

class DetailedVideoTile extends StatelessWidget {
  DetailedVideoTile(
      {Key key, @required Video video, this.title, this.description})
      : _video = video,
        super(key: key);

  final Video _video;
  final String title, description;

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: EdgeInsets.all(8),
      child: LayoutBuilder(
          builder: (context, dimens) => SizedBox(
                height: 100,
                child: Row(
                  crossAxisAlignment: CrossAxisAlignment.start,
                  mainAxisAlignment: MainAxisAlignment.center,
                  children: <Widget>[
                    Image.network(
                      _video.thumbnail,
                      width: 100,
                      height: 100,
                    ),
                    Expanded(
                      child: Padding(
                        padding: EdgeInsets.only(left: 10, right: 10),
                        child: Column(
                          crossAxisAlignment: CrossAxisAlignment.start,
                          children: <Widget>[
                            Text(
                              title,
                              style: Theme.of(context).textTheme.title,
                            ),
                            Padding(padding: EdgeInsets.only(bottom: 6)),
                            Text(
                              description,
                              style: Theme.of(context).textTheme.subtitle,
                              maxLines: 3,
                            ),
                          ],
                        ),
                      ),
                    ),
                    Column(
                      crossAxisAlignment: CrossAxisAlignment.end,
                      mainAxisAlignment: MainAxisAlignment.spaceBetween,
                      children: <Widget>[
                        Text(DateFormat('MM-dd-yyyy')
                            .format(_video.dateCreated)),
                        Text('Views: ${_video.views}'),
                      ],
                    )
                  ],
                ),
              )),
    );
  }
}
